API MARKETPLACE B2B PIM - Integrations

PRODUCTENDPOINTS

productFullUpdatePost

Update product data

Update product data


/ProductFullUpdate

Usage and SDK Samples

curl -X POST\
-H "Accept: application/json"\
-H "Content-Type: aplication/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/ProductFullUpdate"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.PRODUCTENDPOINTSApi;

import java.io.File;
import java.util.*;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductCreateRequesData body = ; // ProductCreateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductCreateResponseData result = apiInstance.productFullUpdatePost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productFullUpdatePost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.PRODUCTENDPOINTSApi;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductCreateRequesData body = ; // ProductCreateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductCreateResponseData result = apiInstance.productFullUpdatePost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productFullUpdatePost");
            e.printStackTrace();
        }
    }
}
ProductCreateRequesData *body = ; // Request
String *token = token_example; // Token de autorización

PRODUCTENDPOINTSApi *apiInstance = [[PRODUCTENDPOINTSApi alloc] init];

// Update product data
[apiInstance productFullUpdatePostWith:body
    token:token
              completionHandler: ^(ProductCreateResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.PRODUCTENDPOINTSApi()
var body = ; // {{ProductCreateRequesData}} Request
var token = token_example; // {{String}} Token de autorización

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.productFullUpdatePost(bodytoken, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class productFullUpdatePostExample
    {
        public void main()
        {

            var apiInstance = new PRODUCTENDPOINTSApi();
            var body = new ProductCreateRequesData(); // ProductCreateRequesData | Request
            var token = token_example;  // String | Token de autorización

            try
            {
                // Update product data
                ProductCreateResponseData result = apiInstance.productFullUpdatePost(body, token);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PRODUCTENDPOINTSApi.productFullUpdatePost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiPRODUCTENDPOINTSApi();
$body = ; // ProductCreateRequesData | Request
$token = token_example; // String | Token de autorización

try {
    $result = $api_instance->productFullUpdatePost($body, $token);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling PRODUCTENDPOINTSApi->productFullUpdatePost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::PRODUCTENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::PRODUCTENDPOINTSApi->new();
my $body = WWW::SwaggerClient::Object::ProductCreateRequesData->new(); # ProductCreateRequesData | Request
my $token = token_example; # String | Token de autorización

eval { 
    my $result = $api_instance->productFullUpdatePost(body => $body, token => $token);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling PRODUCTENDPOINTSApi->productFullUpdatePost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.PRODUCTENDPOINTSApi()
body =  # ProductCreateRequesData | Request
token = token_example # String | Token de autorización

try: 
    # Update product data
    api_response = api_instance.product_full_update_post(body, token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PRODUCTENDPOINTSApi->productFullUpdatePost: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Token de autorización
Required
Body parameters
Name Description
body *

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected Error


productPost

Create product

Create product


/Product

Usage and SDK Samples

curl -X POST\
-H "Accept: application/json"\
-H "Content-Type: aplication/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/Product"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.PRODUCTENDPOINTSApi;

import java.io.File;
import java.util.*;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductCreateRequesData body = ; // ProductCreateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductCreateResponseData result = apiInstance.productPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productPost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.PRODUCTENDPOINTSApi;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductCreateRequesData body = ; // ProductCreateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductCreateResponseData result = apiInstance.productPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productPost");
            e.printStackTrace();
        }
    }
}
ProductCreateRequesData *body = ; // Request
String *token = token_example; // Token de autorización

PRODUCTENDPOINTSApi *apiInstance = [[PRODUCTENDPOINTSApi alloc] init];

// Create product
[apiInstance productPostWith:body
    token:token
              completionHandler: ^(ProductCreateResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.PRODUCTENDPOINTSApi()
var body = ; // {{ProductCreateRequesData}} Request
var token = token_example; // {{String}} Token de autorización

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.productPost(bodytoken, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class productPostExample
    {
        public void main()
        {

            var apiInstance = new PRODUCTENDPOINTSApi();
            var body = new ProductCreateRequesData(); // ProductCreateRequesData | Request
            var token = token_example;  // String | Token de autorización

            try
            {
                // Create product
                ProductCreateResponseData result = apiInstance.productPost(body, token);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PRODUCTENDPOINTSApi.productPost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiPRODUCTENDPOINTSApi();
$body = ; // ProductCreateRequesData | Request
$token = token_example; // String | Token de autorización

try {
    $result = $api_instance->productPost($body, $token);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling PRODUCTENDPOINTSApi->productPost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::PRODUCTENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::PRODUCTENDPOINTSApi->new();
my $body = WWW::SwaggerClient::Object::ProductCreateRequesData->new(); # ProductCreateRequesData | Request
my $token = token_example; # String | Token de autorización

eval { 
    my $result = $api_instance->productPost(body => $body, token => $token);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling PRODUCTENDPOINTSApi->productPost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.PRODUCTENDPOINTSApi()
body =  # ProductCreateRequesData | Request
token = token_example # String | Token de autorización

try: 
    # Create product
    api_response = api_instance.product_post(body, token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PRODUCTENDPOINTSApi->productPost: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Token de autorización
Required
Body parameters
Name Description
body *

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected Error


productUpdatePost

Update product

Update product


/ProductUpdate

Usage and SDK Samples

curl -X POST\
-H "Accept: application/json"\
-H "Content-Type: aplication/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/ProductUpdate"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.PRODUCTENDPOINTSApi;

import java.io.File;
import java.util.*;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductUpdateRequesData body = ; // ProductUpdateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductUpdateResponseData result = apiInstance.productUpdatePost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productUpdatePost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.PRODUCTENDPOINTSApi;

public class PRODUCTENDPOINTSApiExample {

    public static void main(String[] args) {
        PRODUCTENDPOINTSApi apiInstance = new PRODUCTENDPOINTSApi();
        ProductUpdateRequesData body = ; // ProductUpdateRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ProductUpdateResponseData result = apiInstance.productUpdatePost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling PRODUCTENDPOINTSApi#productUpdatePost");
            e.printStackTrace();
        }
    }
}
ProductUpdateRequesData *body = ; // Request
String *token = token_example; // Token de autorización

PRODUCTENDPOINTSApi *apiInstance = [[PRODUCTENDPOINTSApi alloc] init];

// Update product
[apiInstance productUpdatePostWith:body
    token:token
              completionHandler: ^(ProductUpdateResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.PRODUCTENDPOINTSApi()
var body = ; // {{ProductUpdateRequesData}} Request
var token = token_example; // {{String}} Token de autorización

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.productUpdatePost(bodytoken, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class productUpdatePostExample
    {
        public void main()
        {

            var apiInstance = new PRODUCTENDPOINTSApi();
            var body = new ProductUpdateRequesData(); // ProductUpdateRequesData | Request
            var token = token_example;  // String | Token de autorización

            try
            {
                // Update product
                ProductUpdateResponseData result = apiInstance.productUpdatePost(body, token);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling PRODUCTENDPOINTSApi.productUpdatePost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiPRODUCTENDPOINTSApi();
$body = ; // ProductUpdateRequesData | Request
$token = token_example; // String | Token de autorización

try {
    $result = $api_instance->productUpdatePost($body, $token);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling PRODUCTENDPOINTSApi->productUpdatePost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::PRODUCTENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::PRODUCTENDPOINTSApi->new();
my $body = WWW::SwaggerClient::Object::ProductUpdateRequesData->new(); # ProductUpdateRequesData | Request
my $token = token_example; # String | Token de autorización

eval { 
    my $result = $api_instance->productUpdatePost(body => $body, token => $token);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling PRODUCTENDPOINTSApi->productUpdatePost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.PRODUCTENDPOINTSApi()
body =  # ProductUpdateRequesData | Request
token = token_example # String | Token de autorización

try: 
    # Update product
    api_response = api_instance.product_update_post(body, token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PRODUCTENDPOINTSApi->productUpdatePost: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Token de autorización
Required
Body parameters
Name Description
body *

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected Error


SALESORDERENDPOINTS

getOrdersGet

Get all orders

Get all orders


/GetOrders

Usage and SDK Samples

curl -X GET\
-H "Accept: application/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/GetOrders?order_gsx=&status=&CreatedAfter=&CreatedBefore="
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.SALESORDERENDPOINTSApi;

import java.io.File;
import java.util.*;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        String token = token_example; // String | 
        String orderGsx = orderGsx_example; // String | order_gsx
        String status = status_example; // String | status
        String createdAfter = createdAfter_example; // String | CreatedAfter
        String createdBefore = createdBefore_example; // String | CreatedBefore
        try {
            OrdersResponseData result = apiInstance.getOrdersGet(token, orderGsx, status, createdAfter, createdBefore);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#getOrdersGet");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.SALESORDERENDPOINTSApi;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        String token = token_example; // String | 
        String orderGsx = orderGsx_example; // String | order_gsx
        String status = status_example; // String | status
        String createdAfter = createdAfter_example; // String | CreatedAfter
        String createdBefore = createdBefore_example; // String | CreatedBefore
        try {
            OrdersResponseData result = apiInstance.getOrdersGet(token, orderGsx, status, createdAfter, createdBefore);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#getOrdersGet");
            e.printStackTrace();
        }
    }
}
String *token = token_example; // 
String *orderGsx = orderGsx_example; // order_gsx (optional)
String *status = status_example; // status (optional)
String *createdAfter = createdAfter_example; // CreatedAfter (optional)
String *createdBefore = createdBefore_example; // CreatedBefore (optional)

SALESORDERENDPOINTSApi *apiInstance = [[SALESORDERENDPOINTSApi alloc] init];

// Get all orders
[apiInstance getOrdersGetWith:token
    orderGsx:orderGsx
    status:status
    createdAfter:createdAfter
    createdBefore:createdBefore
              completionHandler: ^(OrdersResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.SALESORDERENDPOINTSApi()
var token = token_example; // {{String}} 
var opts = { 
  'orderGsx': orderGsx_example, // {{String}} order_gsx
  'status': status_example, // {{String}} status
  'createdAfter': createdAfter_example, // {{String}} CreatedAfter
  'createdBefore': createdBefore_example // {{String}} CreatedBefore
};
var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.getOrdersGet(token, opts, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class getOrdersGetExample
    {
        public void main()
        {

            var apiInstance = new SALESORDERENDPOINTSApi();
            var token = token_example;  // String | 
            var orderGsx = orderGsx_example;  // String | order_gsx (optional) 
            var status = status_example;  // String | status (optional) 
            var createdAfter = createdAfter_example;  // String | CreatedAfter (optional) 
            var createdBefore = createdBefore_example;  // String | CreatedBefore (optional) 

            try
            {
                // Get all orders
                OrdersResponseData result = apiInstance.getOrdersGet(token, orderGsx, status, createdAfter, createdBefore);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SALESORDERENDPOINTSApi.getOrdersGet: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiSALESORDERENDPOINTSApi();
$token = token_example; // String | 
$orderGsx = orderGsx_example; // String | order_gsx
$status = status_example; // String | status
$createdAfter = createdAfter_example; // String | CreatedAfter
$createdBefore = createdBefore_example; // String | CreatedBefore

try {
    $result = $api_instance->getOrdersGet($token, $orderGsx, $status, $createdAfter, $createdBefore);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling SALESORDERENDPOINTSApi->getOrdersGet: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::SALESORDERENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::SALESORDERENDPOINTSApi->new();
my $token = token_example; # String | 
my $orderGsx = orderGsx_example; # String | order_gsx
my $status = status_example; # String | status
my $createdAfter = createdAfter_example; # String | CreatedAfter
my $createdBefore = createdBefore_example; # String | CreatedBefore

eval { 
    my $result = $api_instance->getOrdersGet(token => $token, orderGsx => $orderGsx, status => $status, createdAfter => $createdAfter, createdBefore => $createdBefore);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling SALESORDERENDPOINTSApi->getOrdersGet: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SALESORDERENDPOINTSApi()
token = token_example # String | 
orderGsx = orderGsx_example # String | order_gsx (optional)
status = status_example # String | status (optional)
createdAfter = createdAfter_example # String | CreatedAfter (optional)
createdBefore = createdBefore_example # String | CreatedBefore (optional)

try: 
    # Get all orders
    api_response = api_instance.get_orders_get(token, orderGsx=orderGsx, status=status, createdAfter=createdAfter, createdBefore=createdBefore)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SALESORDERENDPOINTSApi->getOrdersGet: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Required
Query parameters
Name Description
order_gsx
String
order_gsx
status
String
status
CreatedAfter
String
CreatedAfter
CreatedBefore
String
CreatedBefore

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected Error


setPONumberPost

Set PO Number

Set PO Number


/SetPONumber

Usage and SDK Samples

curl -X POST\
-H "Accept: application/json"\
-H "Content-Type: aplication/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/SetPONumber"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.SALESORDERENDPOINTSApi;

import java.io.File;
import java.util.*;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        PONumberRequesData body = ; // PONumberRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            PONumberResponseData result = apiInstance.setPONumberPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#setPONumberPost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.SALESORDERENDPOINTSApi;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        PONumberRequesData body = ; // PONumberRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            PONumberResponseData result = apiInstance.setPONumberPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#setPONumberPost");
            e.printStackTrace();
        }
    }
}
PONumberRequesData *body = ; // Request
String *token = token_example; // Token de autorización

SALESORDERENDPOINTSApi *apiInstance = [[SALESORDERENDPOINTSApi alloc] init];

// Set PO Number
[apiInstance setPONumberPostWith:body
    token:token
              completionHandler: ^(PONumberResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.SALESORDERENDPOINTSApi()
var body = ; // {{PONumberRequesData}} Request
var token = token_example; // {{String}} Token de autorización

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.setPONumberPost(bodytoken, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class setPONumberPostExample
    {
        public void main()
        {

            var apiInstance = new SALESORDERENDPOINTSApi();
            var body = new PONumberRequesData(); // PONumberRequesData | Request
            var token = token_example;  // String | Token de autorización

            try
            {
                // Set PO Number
                PONumberResponseData result = apiInstance.setPONumberPost(body, token);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SALESORDERENDPOINTSApi.setPONumberPost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiSALESORDERENDPOINTSApi();
$body = ; // PONumberRequesData | Request
$token = token_example; // String | Token de autorización

try {
    $result = $api_instance->setPONumberPost($body, $token);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling SALESORDERENDPOINTSApi->setPONumberPost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::SALESORDERENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::SALESORDERENDPOINTSApi->new();
my $body = WWW::SwaggerClient::Object::PONumberRequesData->new(); # PONumberRequesData | Request
my $token = token_example; # String | Token de autorización

eval { 
    my $result = $api_instance->setPONumberPost(body => $body, token => $token);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling SALESORDERENDPOINTSApi->setPONumberPost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SALESORDERENDPOINTSApi()
body =  # PONumberRequesData | Request
token = token_example # String | Token de autorización

try: 
    # Set PO Number
    api_response = api_instance.set_po_number_post(body, token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SALESORDERENDPOINTSApi->setPONumberPost: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Token de autorización
Required
Body parameters
Name Description
body *

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected


setShipmentPost

Set Shipment

Set Shipment


/SetShipment

Usage and SDK Samples

curl -X POST\
-H "Accept: application/json"\
-H "Content-Type: aplication/json"\
"https://virtserver.swaggerhub.com/GSXUSER/PIM/1.0.0/SetShipment"
import io.swagger.client.*;
import io.swagger.client.auth.*;
import io.swagger.client.model.*;
import io.swagger.client.api.SALESORDERENDPOINTSApi;

import java.io.File;
import java.util.*;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        ShipmentRequesData body = ; // ShipmentRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ShipmentResponseData result = apiInstance.setShipmentPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#setShipmentPost");
            e.printStackTrace();
        }
    }
}
import io.swagger.client.api.SALESORDERENDPOINTSApi;

public class SALESORDERENDPOINTSApiExample {

    public static void main(String[] args) {
        SALESORDERENDPOINTSApi apiInstance = new SALESORDERENDPOINTSApi();
        ShipmentRequesData body = ; // ShipmentRequesData | Request
        String token = token_example; // String | Token de autorización
        try {
            ShipmentResponseData result = apiInstance.setShipmentPost(body, token);
            System.out.println(result);
        } catch (ApiException e) {
            System.err.println("Exception when calling SALESORDERENDPOINTSApi#setShipmentPost");
            e.printStackTrace();
        }
    }
}
ShipmentRequesData *body = ; // Request
String *token = token_example; // Token de autorización

SALESORDERENDPOINTSApi *apiInstance = [[SALESORDERENDPOINTSApi alloc] init];

// Set Shipment
[apiInstance setShipmentPostWith:body
    token:token
              completionHandler: ^(ShipmentResponseData output, NSError* error) {
                            if (output) {
                                NSLog(@"%@", output);
                            }
                            if (error) {
                                NSLog(@"Error: %@", error);
                            }
                        }];
var ApiMarketplaceB2BPimIntegrations = require('api_marketplace_b2_b_pim___integrations');

var api = new ApiMarketplaceB2BPimIntegrations.SALESORDERENDPOINTSApi()
var body = ; // {{ShipmentRequesData}} Request
var token = token_example; // {{String}} Token de autorización

var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully. Returned data: ' + data);
  }
};
api.setShipmentPost(bodytoken, callback);
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class setShipmentPostExample
    {
        public void main()
        {

            var apiInstance = new SALESORDERENDPOINTSApi();
            var body = new ShipmentRequesData(); // ShipmentRequesData | Request
            var token = token_example;  // String | Token de autorización

            try
            {
                // Set Shipment
                ShipmentResponseData result = apiInstance.setShipmentPost(body, token);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SALESORDERENDPOINTSApi.setShipmentPost: " + e.Message );
            }
        }
    }
}
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\ApiSALESORDERENDPOINTSApi();
$body = ; // ShipmentRequesData | Request
$token = token_example; // String | Token de autorización

try {
    $result = $api_instance->setShipmentPost($body, $token);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling SALESORDERENDPOINTSApi->setShipmentPost: ', $e->getMessage(), PHP_EOL;
}
?>
use Data::Dumper;
use WWW::SwaggerClient::Configuration;
use WWW::SwaggerClient::SALESORDERENDPOINTSApi;

my $api_instance = WWW::SwaggerClient::SALESORDERENDPOINTSApi->new();
my $body = WWW::SwaggerClient::Object::ShipmentRequesData->new(); # ShipmentRequesData | Request
my $token = token_example; # String | Token de autorización

eval { 
    my $result = $api_instance->setShipmentPost(body => $body, token => $token);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling SALESORDERENDPOINTSApi->setShipmentPost: $@\n";
}
from __future__ import print_statement
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.SALESORDERENDPOINTSApi()
body =  # ShipmentRequesData | Request
token = token_example # String | Token de autorización

try: 
    # Set Shipment
    api_response = api_instance.set_shipment_post(body, token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling SALESORDERENDPOINTSApi->setShipmentPost: %s\n" % e)

Parameters

Header parameters
Name Description
token*
String
Token de autorización
Required
Body parameters
Name Description
body *

Responses

Status: 201 - OK

Status: 400 - Bad Request

Status: 401 - Authentication Error

Status: 403 - Authorization Error

Status: 409 - Business Error

Status: 5XX - Unexpected Error